> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Places Of Service

> CMS Place of Service codes, ordered by code. Powers the per-line POS picker.



## OpenAPI

````yaml get /medical-codes/places-of-service
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /medical-codes/places-of-service:
    get:
      tags:
        - Medical Codes
      summary: List Places Of Service
      description: >-
        CMS Place of Service codes, ordered by code. Powers the per-line POS
        picker.
      operationId: list_places_of_service_medical_codes_places_of_service_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional filter on code / display / definition
            title: Q
          description: Optional filter on code / display / definition
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PlaceOfServiceCode'
                title: >-
                  Response List Places Of Service Medical Codes Places Of
                  Service Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PlaceOfServiceCode:
      properties:
        code:
          type: string
          title: Code
        display:
          type: string
          title: Display
        definition:
          type: string
          title: Definition
      type: object
      required:
        - code
        - display
        - definition
      title: PlaceOfServiceCode
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````